hspec-core-2.11.16: A Testing Framework for Haskell

Stability | provisional
Safe Haskell | None
Language | Haskell2010

Test.Hspec.Core.QuickCheck

Contents

- Orphan instances

Description

Synopsis

- modifyMaxSuccess :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxDiscardRatio :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxSize :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxShrinks :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyArgs :: (Args -> Args) -> SpecWith a -> SpecWith a

# Documentation

modifyMaxSuccess :: (Int -> Int) -> SpecWith a -> SpecWith a Source #

Use a modified `maxSuccess` for given spec.

modifyMaxDiscardRatio :: (Int -> Int) -> SpecWith a -> SpecWith a Source #

Use a modified `maxDiscardRatio` for given spec.

modifyMaxSize :: (Int -> Int) -> SpecWith a -> SpecWith a Source #

Use a modified `maxSize` for given spec.

modifyMaxShrinks :: (Int -> Int) -> SpecWith a -> SpecWith a Source #

Use a modified `maxShrinks` for given spec.

modifyArgs :: (Args -> Args) -> SpecWith a -> SpecWith a Source #

Use modified `Args` for given spec.

# Orphan instances

Example Property Source # |

Instance details

Associated Types

type Arg Property |
Instance details Defined in Test.Hspec.Core.QuickCheck type Arg Property = ()

Methods

evaluateExample :: Property -> Params -> (ActionWith (Arg Property) -> IO ()) -> ProgressCallback -> IO Result Source #

Example (a -> Property) Source # |

Instance details

Associated Types

type Arg (a -> Property) |
Instance details Defined in Test.Hspec.Core.QuickCheck type Arg (a -> Property) = a

Methods

evaluateExample :: (a -> Property) -> Params -> (ActionWith (Arg (a -> Property)) -> IO ()) -> ProgressCallback -> IO Result Source #